Skip to main content
GET
/
relay
/
v1
/
human
/
conversations
/
{conversationId}
Get a conversation with messages
curl --request GET \
  --url https://api.swarmd.ai/relay/v1/human/conversations/{conversationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contextId": "<string>",
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "messages": {
    "totalPages": 123,
    "totalElements": 123,
    "numberOfElements": 123,
    "first": true,
    "last": true,
    "pageable": {
      "pageNumber": 123,
      "paged": true,
      "unpaged": true,
      "pageSize": 123,
      "offset": 123,
      "sort": {
        "unsorted": true,
        "sorted": true,
        "empty": true
      }
    },
    "size": 123,
    "content": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "messageId": "<string>",
        "role": "<string>",
        "parts": {},
        "metadata": {},
        "taskId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "number": 123,
    "sort": {
      "unsorted": true,
      "sorted": true,
      "empty": true
    },
    "empty": true
  }
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

conversationId
string<uuid>
required

Query Parameters

pageable
object
required

Response

200 - application/json

OK

id
string<uuid>
contextId
string
agentId
string<uuid>
title
string
createdAt
string<date-time>
updatedAt
string<date-time>
messages
object